Page MenuHomePhabricator

Remove unnecessary parameters from URL
Closed, ResolvedPublic2 Story Points

Description

Motivation
How a url looks like with advancedSearch enabled:
https://de.wikipedia.org/w/index.php?advancedSearchOption-original=literarische+beilage&search=literarische+beilage&title=Spezial:Suche&profile=advanced&fulltext=1&advancedSearchOption-filetype=&advancedSearch-current=%7B%22options%22%3A%7B%7D%2C%22namespaces%22%3A%5B%220%22%5D%7D&ns0=1&searchToken=a4sn3yyitxdreb1rc0x34bavg

Acceptance Criteria

  • The URL does not contain irrelevant information, such as the filetype or inlanguage parameters
  • The advancedSearch-current URL does not contain options values for empty fields

Note

This can by achieved by looking through the config parameters for widget constructors and removing all "name" entries.

Details

Related Gerrit Patches:
mediawiki/extensions/AdvancedSearch : masterDo not double quote namespace numbers in the URL
mediawiki/extensions/AdvancedSearch : masterRemove name attribute in test config
mediawiki/extensions/AdvancedSearch : masterOmit empty fields in JSON serialization
mediawiki/extensions/AdvancedSearch : masterRemove field name
mediawiki/extensions/AdvancedSearch : masterAvoid poluting the browsers address bar with irrelevant options

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptFeb 28 2018, 1:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE triaged this task as Normal priority.Feb 28 2018, 1:52 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 2.
Lea_WMDE updated the task description. (Show Details)
gabriel-wmde updated the task description. (Show Details)Mar 14 2018, 3:05 PM

Change 392854 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] Avoid poluting the browsers address bar with irrelevant options

https://gerrit.wikimedia.org/r/392854

gabriel-wmde updated the task description. (Show Details)Apr 4 2018, 2:39 PM

Change 392854 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Avoid poluting the browsers address bar with irrelevant options

https://gerrit.wikimedia.org/r/392854

gabriel-wmde moved this task from Deploy to Test to Doing on the WMDE-FUN-Sprint-2018-04-04 board.
gabriel-wmde added a subscriber: gabriel-wmde.

This item is not done yet - we still need to remove other params.

Change 424292 had a related patch set uploaded (by Gabriel Birke; owner: Gabriel Birke):
[mediawiki/extensions/AdvancedSearch@master] Remove field name

https://gerrit.wikimedia.org/r/424292

Change 424307 had a related patch set uploaded (by Gabriel Birke; owner: Gabriel Birke):
[mediawiki/extensions/AdvancedSearch@master] Omit empty fields in JSON serialization

https://gerrit.wikimedia.org/r/424307

Change 424307 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Omit empty fields in JSON serialization

https://gerrit.wikimedia.org/r/424307

Change 424292 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Remove field name

https://gerrit.wikimedia.org/r/424292

gabriel-wmde removed gabriel-wmde as the assignee of this task.Apr 9 2018, 9:52 AM

Change 425250 had a related patch set uploaded (by Gabriel Birke; owner: Gabriel Birke):
[mediawiki/extensions/AdvancedSearch@master] Remove name attribute in test config

https://gerrit.wikimedia.org/r/425250

Change 425250 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Remove name attribute in test config

https://gerrit.wikimedia.org/r/425250

Deployed to test server

Lea_WMDE moved this task from Deploy to Done on the WMDE-FUN-Sprint-2018-04-04 board.
thiemowmde moved this task from Incoming to Advanced Search on the TCB-Team board.Jun 12 2018, 4:06 PM

Change 440854 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] Do not double quote namespace numbers in the URL

https://gerrit.wikimedia.org/r/440854

Change 440854 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Do not double quote namespace numbers in the URL

https://gerrit.wikimedia.org/r/440854

Lea_WMDE closed this task as Resolved.Oct 11 2018, 8:51 AM